解决WordPress无法更新版本和插件


问题描述

  • 后台更新wordpress时提示:无法创建目录;
  • 后台更新插件时提示:无法删除旧插件。

解决方案一

设置目录访问权限为777,但是存在遭到攻击的隐患,而且我设置了也没有用。

chmod -R 777 /usr/share/wordpress(WordPress的目录)

解决方案二

在服务器后台通过cd定位到wordpress的content目录,发现有部分文件夹权限组和用户是root,有部分文件夹是apache和ftp。

安装的主题或者插件用的服务器为 Apache,所以直接授权apache访问权限即可。 通过chown设置权限组的权限。

chown -R apache:root /usr/share/wordpress

结果

第一个方案测试无效,第二个方案有效。

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注